Create a task
POST /api/2.0/crm/task
Creates a task with the parameters (title, description, due date, etc.) specified in the request.
Request body
title
type: string
Task title
Example: "string"
description
type: string
Task description
Example: "string"
deadline
type: string
Task due date
Example: "string"
responsibleId
type: string
Task responsible ID
Example: "string"
categoryId
type: integer
Task category ID
Example: 0
contactId
type: integer
Contact ID
Example: 0
entityType
type: string
Related entity type
Example: "string"
entityId
type: integer
Related entity ID
Example: 0
isNotify
type: boolean
Notifies the responsible about the task or not
Example: true
alertValue
type: integer
Time period in minutes to remind the responsible of the task
Example: 0
Request example
{
"title": "string",
"description": "string",
"deadline": "string",
"responsibleId": "string",
"categoryId": 0,
"contactId": 0,
"entityType": "string",
"entityId": 0,
"isNotify": true,
"alertValue": 0
}
Returns
Task. A request that is not authenticated returns 401.
CreateBy
type: EmployeeWraper
Created
type: string
Example: "2020-12-16T03:11:54.3573531Z"
Contact
type: ContactBaseWithEmailWrapper
Title
type: string
Example: "Send a commercial offer"
Description
type: string
Example: "Description"
DeadLine
type: string
Example: "2020-12-16T03:11:54.3573531Z"
AlertValue
type: integer
Example: 1
Responsible
type: EmployeeWraper
IsClosed
type: boolean
Example: true
Category
type: TaskCategoryBaseWrapper
Entity
type: EntityWrapper
CanEdit
type: boolean
Example: true
ID
type: integer
Example: 1234
Response example
{
"CreateBy": {
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
},
"Created": "2020-12-16T03:11:54.3573531Z",
"Contact": {
"Email": {
"InfoType": 1,
"Category": 0,
"Data": "support@onlyoffice.com",
"CategoryName": "Home",
"IsPrimary": true,
"ID": 1234
},
"SmallFotoUrl": "url to foto",
"MediumFotoUrl": "url to foto",
"DisplayName": "Tadjeddine Bachir",
"IsCompany": false,
"AccessList": [
{
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
}
],
"IsPrivate": true,
"IsShared": false,
"ShareType": 0,
"Currency": {
"Title": "Chinese Yuan",
"Symbol": "¥",
"Abbreviation": "CNY",
"CultureName": "CN",
"IsConvertable": true,
"IsBasic": false
},
"CanEdit": true,
"CanDelete": true,
"ID": 1234
},
"Title": "Send a commercial offer",
"Description": "Description",
"DeadLine": "2020-12-16T03:11:54.3573531Z",
"AlertValue": 1,
"Responsible": {
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
},
"IsClosed": true,
"Category": {
"ImagePath": "path to image",
"Title": "Title",
"Description": "Description",
"Color": "#a7fc00",
"SortOrder": 1,
"ID": 1234
},
"Entity": {
"EntityType": "opportunity",
"EntityId": 123445,
"EntityTitle": "Household appliances internet shop"
},
"CanEdit": true,
"ID": 1234
}